Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang.mutable
Class MutableObject

    java.lang.Object
      |
      +--org.apache.commons.lang.mutable.MutableObject

All Implemented Interfaces:
  Mutable, Serializable

public class MutableObject
extends Object
implements Mutable, Serializable

A mutable `Object` wrapper.

Since:
  2.1
Version:
  $Id: MutableObject.java 437554 2006-08-28 06:21:41Z bayard $
See Also:
  Serialized Form

Constructor Summary
`MutableObject()` Constructs a new MutableObject with the default value of `null`.
`MutableObject(Object value)` Constructs a new MutableObject with the specified value.

Method Summary
`boolean` | `equals(Object obj)` Compares this object against the specified object.
`Object` | `getValue()` Gets the value.
`int` | `hashCode()` Returns the value's hash code or `0` if the value is `null`.
`void` | `setValue(Object value)` Sets the value.
`String` | `toString()` Returns the String value of this mutable.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableObject

    public MutableObject()

  Constructs a new MutableObject with the default value of `null`.

### MutableObject

    public MutableObject(Object value)

  Constructs a new MutableObject with the specified value.
  Parameters:
    `value` - a value.

Method Detail

### getValue

    public Object getValue()

  Gets the value.
  Specified by:
    `getValue` in interface `Mutable`
  Returns:
    the value

### setValue

    public void setValue(Object value)

  Sets the value.
  Specified by:
    `setValue` in interface `Mutable`
  Parameters:
    `value` - the value to set

### equals

    public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `MutableObject` object that contains the same `Object` value as this object.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Returns the value's hash code or `0` if the value is `null`.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    the value's hash code or `0` if the value is `null`.

### toString

    public String toString()

  Returns the String value of this mutable.
  Overrides:
    `toString` in class `Object`
  Returns:
    the mutable value as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Apache Software Foundation